<div class="grid grid-cols-12 min-h-screen">

    {{template "partials/sidebar" "lines"}}
  
    <div class="col-span-7 md:col-span-8 lg:col-span-9 p-6 bg-slate-50">
      <h1 class="text-2xl font-medium mb-7">Aanslagregels</h1>
  
      <div class="relative overflow-x-auto bg-white mb-7">
        <table class="w-full text-left">
          <thead class="text-sm text-gray-700 uppercase bg-white">
            <tr>
              <th scope="col" class="px-4 py-3">
                ID
              </th>
              <th scope="col" class="px-4 py-3">
                Adres
              </th>
              <th scope="col" class="px-4 py-3">
                Gebouw
              </th>
              <th scope="col" class="px-4 py-3">
                Datum
              </th>
              <th scope="col" class="px-4 py-3"></th>
            </tr>
          </thead>
          <tbody>
            {{range .assessments}}
            <tr class="border-t border-slate-200">
              <td class="p-4">
                {{.ID}}
              </td>
              <td class="p-4">
                {{or .OwnerID "(Onbekend)"}}
              </td>
              <td class="p-4">
                {{or .WOZAddressID "(Onbekend)"}}
              </td>
              <td class="p-4">
                {{formatDate .CreatedAt}}
              </td>
              <td class="p-4">
                <button type="button" class="cursor-pointer p-2 text-slate-400 hover:text-rose-500" hx-delete="/assessments/{{.ID}}"
                  hx-confirm="Weet je zeker dat je aanslagregel '{{.ID}}' wilt verwijderen?">
                  <svg class="w-5 h-5" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
                    <path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"
                      stroke-width="2"
                      d="M4 7h16m-10 4v6m4-6v6M5 7l1 12a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2l1-12M9 7V4a1 1 0 0 1 1-1h4a1 1 0 0 1 1 1v3" />
                  </svg>
                </button>
              </td>
            </tr>
            {{else}}
            <tr class="border-t border-slate-200">
              <td class="p-4 text-center" colspan="5">Nog geen aanslagregels gevonden.</td>
            </tr>
            {{end}}
          </tbody>
        </table>
      </div>
  
      {{template "partials/pagination-prev-next" .pagination}}
    </div>
  
  </div>
